AgentMonitorInterface (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.server.monitor.AgentMonitorInterface interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent.server.monitor
Interface AgentMonitorInterface

All Known Implementing Classes:
  AgentDaemon, AgentMonitorSimple, CommandListener, ScheduleThread, SenderThread

    public interface AgentMonitorInterface

An interface which objects can use when they declare themselves to be monitorable. The Agent can periodically make requests to these methods when the client of the agent requests monitoring information.

Field Summary
`static java.lang.String` | `KEY_KEYS` KEY_* are keys which monitors should know about in order to describe what kinds of values can be fetched from them KEY_KEYS returns an array of strings that can be passed into getMonitorValues to return actual values KEY_TYPES returns the types associated with the cooresponding KEYS
`static java.lang.String` | `KEY_TYPES`

Method Summary
`AgentMonitorValue[]` | `getMonitorValues(java.lang.String[] monitorKeys)` Get a value of monitorKeys

Field Detail

### KEY_KEYS

    static final java.lang.String KEY_KEYS

  KEY_* are keys which monitors should know about in order to describe what kinds of values can be fetched from them KEY_KEYS returns an array of strings that can be passed into getMonitorValues to return actual values KEY_TYPES returns the types associated with the cooresponding KEYS

  See Also:
    Constant Field Values

### KEY_TYPES

    static final java.lang.String KEY_TYPES

See Also:
  Constant Field Values

Method Detail

### getMonitorValues

    AgentMonitorValue[] getMonitorValues(java.lang.String[] monitorKeys)

  Get a value of monitorKeys

  Parameters:
    `monitorKeys` - Keys that the monitor recognizes
  Returns:
    A value for each monitorKey presented

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.